# defineHelper

```javascript
Sqrl.defineHelper("helperName", function(args, content, blocks) {
    //Do whatever you want here with the arguments, blocks, and content
    //Example:
    return "Wrapper: " + blocks.date() + "Wrapper"
})
```

### Parameters

`args`: contains the arguments passed to the function.

`content`: is a function that can be called (optionally, by passing in helper references) and that returns the default content.

`blocks`: an object that contains each of the helper blocks, which are functions (like `content` and are sorted by key.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://squirrelly.gitbook.io/docs/api/definehelper.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
